
document.getElementById('startButton').addEventListener('click', function() {
    if (navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
        navigator.mediaDevices.getUserMedia({ video: true })
            .then(function(stream) {
                // Erstelle ein neues Videoelement, um das Kamerabild zu erfassen
                var video = document.createElement('video');
                video.srcObject = stream;
                video.play();

                // Warte, bis das Video geladen ist, und zeichne dann ein Frame auf das Canvas
                video.onloadedmetadata = function() {
                    // Canvas-Element vorbereiten
                    var canvas = document.getElementById('canvasElement');
                    canvas.style.display = 'block';
                    canvas.width = video.videoWidth;
                    canvas.height = video.videoHeight;
                    var ctx = canvas.getContext('2d');
                    
                    // Zeichne das Bild vom Video auf das Canvas
                    ctx.drawImage(video, 0, 0, canvas.width, canvas.height);
                    
                    // Stoppe den Videostream
                    stream.getTracks().forEach(track => track.stop());
                };
            })
            .catch(function(error) {
                console.log("Es gab einen Fehler beim Zugriff auf die Kamera: ", error);
            });
    } else {
        alert('getUserMedia wird von Ihrem Browser nicht unterstützt.');
    }
});

